Bug 171349

Summary: [maintainer update] math/py-numpy science/py-scipy remove automatic dependency to SuiteSparse
Product: Ports & Packages Reporter: Li-Lun Wang <llwang>
Component: Individual Port(s)Assignee: Marcus von Appen <mva>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Li-Lun Wang 2012-09-05 17:40:01 UTC
* Remove automatic dependency to SuiteSparse; use OPTIONS instead
* Change to new OPTIONS style
* py-scipy RUN_DEPENDS on nose
* Bump PORTREVISIONs because the package is potentially changed
* Reported by: A.J. Kehoe IV (Nanoman)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-09-05 17:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Marcus von Appen freebsd_committer freebsd_triage 2012-10-06 20:05:27 UTC
Responsible Changed
From-To: freebsd-python->mva

I'll take it.
Comment 3 dfilter service freebsd_committer 2012-10-07 11:25:13 UTC
Author: mva
Date: Sun Oct  7 10:24:47 2012
New Revision: 305452
URL: http://svn.freebsd.org/changeset/ports/305452

Log:
  - Remove automatic dependency to SuiteSparse; use OPTIONS instead
  - Change to new OPTIONS style
  
  PR:		ports/171349
  Submitted by:	Li-Lun Wang <llwang@infor.org> (maintainer)
  Reported by:	A.J. Kehoe IV (Nanoman)

Modified:
  head/math/py-numpy/Makefile   (contents, props changed)

Modified: head/math/py-numpy/Makefile
==============================================================================
--- head/math/py-numpy/Makefile	Sun Oct  7 10:23:23 2012	(r305451)
+++ head/math/py-numpy/Makefile	Sun Oct  7 10:24:47 2012	(r305452)
@@ -7,6 +7,7 @@
 
 PORTNAME=	numpy
 PORTVERSION=	1.6.2
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	math python
 MASTER_SITES=	http://docs.scipy.org/doc/${DISTNAME:C/\..$/.0/}/:doc \
@@ -24,7 +25,10 @@ LICENSE=	BSD
 
 RUN_DEPENDS=	nosetests:${PORTSDIR}/devel/py-nose
 
-OPTIONS=	ATLAS "Use optimized blas library" Off
+OPTIONS_DEFINE=	ATLAS SUITESPARSE
+OPTIONS_DEFAULT=	SUITESPARSE
+ATLAS_DESC=	Use optimized blas library
+SUITESPARSE_DESC=	Use AMD and UMFPACK in SuiteSparse
 
 USE_FORTRAN=	yes
 USE_PYTHON=	yes
@@ -53,7 +57,7 @@ FP_ARCH=	${ARCH}
 DISTFILES+=	${FP_ARCH}/fenv.c?p=203441:fp ${FP_ARCH}/fenv.h?p=203441:fp
 .endif
 
-.if defined(WITH_ATLAS)
+.if ${PORT_OPTIONS:MATLAS}
 LIB_DEPENDS+=	atlas.2:${PORTSDIR}/math/atlas
 .if !exists(${LOCALBASE}/lib/libalapack.a)
 IGNORE=	atlas needs to be built with WITH_STATIC for numpy to function properly
@@ -63,7 +67,7 @@ LIB_DEPENDS+=	lapack.4:${PORTSDIR}/math/
 		blas.2:${PORTSDIR}/math/blas
 .endif
 
-.if exists(${LOCALBASE}/lib/libumfpack.so.1)
+.if ${PORT_OPTIONS:MSUITESPARSE}
 LIB_DEPENDS+=	umfpack.1:${PORTSDIR}/math/suitesparse
 .endif
 
@@ -90,17 +94,17 @@ pre-configure:
 		${PATCH} ${PATCH_DIST_ARGS} < ${FILESDIR}/fenv.patch; \
  	fi
 .endif
-.ifdef WITH_ATLAS
-	@${REINPLACE_CMD} -e "s+%%GCCLIBDIR%%+$$(${GCCLIBDIR_CMDS})+" \
-	    -e "s+%%LOCALBASE%%+${LOCALBASE}+g" \
-	    -e "s+%%ATLASLIBS%%+alapack, f77blas, cblas, atlas+" \
-		${WRKSRC}/site.cfg
+.if ${PORT_OPTIONS:MATLAS}
+	@${REINPLACE_CMD} -e "s+%%ATLASLIBS%%+alapack, f77blas, cblas, atlas+" ${WRKSRC}/site.cfg
 .else
+	@${REINPLACE_CMD} -e "s+%%ATLASLIBS%%+lapack, blas+" ${WRKSRC}/site.cfg
+.endif
+.if !${PORT_OPTIONS:MSUITESPARSE}
+	@${REINPLACE_CMD} -e "s+:%%LOCALBASE%%/include/suitesparse++" ${WRKSRC}/site.cfg
+.endif
 	@${REINPLACE_CMD} -e "s+%%GCCLIBDIR%%+$$(${GCCLIBDIR_CMDS})+" \
 	    -e "s+%%LOCALBASE%%+${LOCALBASE}+g" \
-	    -e "s+%%ATLASLIBS%%+lapack, blas+" \
-		 ${WRKSRC}/site.cfg
-.endif
+		${WRKSRC}/site.cfg
 	@${REINPLACE_CMD} -e "s+%%GCCLIBDIR%%+$$(${GCCLIBDIR_CMDS})+" ${WRKSRC}/numpy/distutils/system_info.py
 
 pre-install:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2012-10-07 11:27:01 UTC
Author: mva
Date: Sun Oct  7 10:26:43 2012
New Revision: 305453
URL: http://svn.freebsd.org/changeset/ports/305453

Log:
  - Remove automatic dependency to SuiteSparse; use OPTIONS instead
  - Change to new OPTIONS style
  - Add RUN_DEPENDS on py-nose
  
  PR:		ports/171349
  Submitted by:	Li-Lun Wang <llwang@infor.org> (maintainer)
  Reported by:	A.J. Kehoe IV (Nanoman)

Modified:
  head/science/py-scipy/Makefile   (contents, props changed)

Modified: head/science/py-scipy/Makefile
==============================================================================
--- head/science/py-scipy/Makefile	Sun Oct  7 10:24:47 2012	(r305452)
+++ head/science/py-scipy/Makefile	Sun Oct  7 10:26:43 2012	(r305453)
@@ -7,6 +7,7 @@
 
 PORTNAME=	scipy
 PORTVERSION=	0.10.1
+PORTREVISION=	1
 CATEGORIES=	science python
 MASTER_SITES=	http://docs.scipy.org/doc/${DISTNAME}/:doc \
 		SF:source
@@ -21,7 +22,8 @@ COMMENT=	Scientific tools for Python
 BUILD_DEPENDS+=	${PYNUMPY} \
 		${LOCALBASE}/lib/libdjbfft.a:${PORTSDIR}/math/djbfft
 LIB_DEPENDS=	fftw3:${PORTSDIR}/math/fftw3
-RUN_DEPENDS=	${PYNUMPY}
+RUN_DEPENDS=	${PYNUMPY}	\
+		nosetests:${PORTSDIR}/devel/py-nose
 
 LATEST_LINK=	py-${PORTNAME}
 OPTIONSFILE=	${PORT_DBDIR}/py-numpy/options
@@ -29,7 +31,11 @@ OPTIONSFILE=	${PORT_DBDIR}/py-numpy/opti
 USE_FORTRAN=	yes
 USE_PYTHON=	2.5+
 USE_PYDISTUTILS=	yes
-OPTIONS=	ATLAS "Use optimized blas library" OFF
+
+OPTIONS_DEFINE=	ATLAS SUITESPARSE
+OPTIONS_DEFAULT=	SUITESPARSE
+ATLAS_DESC=	Use optimized blas library
+SUITESPARSE_DESC=	Use AMD and UMFPACK in SuiteSparse
 
 post-patch:
 	@${GREP} -lR "malloc\.h" ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} \
@@ -37,7 +43,7 @@ post-patch:
 
 .include <bsd.port.pre.mk>
 
-.if defined(WITH_ATLAS)
+.if ${PORT_OPTIONS:MATLAS}
 LIB_DEPENDS+=	atlas.2:${PORTSDIR}/math/atlas
 .if !exists(${LOCALBASE}/lib/libalapack.a)
 IGNORE=		atlas needs to be built with WITH_STATIC for scipy to function properly
@@ -47,7 +53,7 @@ LIB_DEPENDS+=	lapack.4:${PORTSDIR}/math/
 		blas.2:${PORTSDIR}/math/blas
 .endif
 
-.if exists(${LOCALBASE}/lib/libumfpack.so.1)
+.if ${PORT_OPTIONS:MSUITESPARSE}
 BUILD_DEPENDS+=	swig:${PORTSDIR}/devel/swig13
 LIB_DEPENDS+=	umfpack.1:${PORTSDIR}/math/suitesparse
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Marcus von Appen freebsd_committer freebsd_triage 2012-10-07 11:27:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!